'use strict';

window.onload = function () {
  navigator.serviceWorker.register('cache.js').then(function () {
    // Test if a Service Worker is running
    if (navigator.serviceWorker.controller) {
      main();
    }
    else {
      // Service Worker will not run until the page is reloaded
      window.location.reload(false);
    }
  });
};

function main() {
  repeatVideo();
}

function repeatVideo() {
  const v = mkVideo();
  document.body.appendChild(v);
  v.addEventListener('ended', function () {
    document.body.removeChild(v);
    repeatVideo();
  });
}

function mkVideo() {
  const v = document.createElement('video');
  v.src = 'v.mp4?' + Math.round((Math.random() * 1000));
  v.muted = 'muted';
  v.autoplay = 'autoplay';
  v.width = '192';
  v.height = '108';
  v.playbackRate = 3.0;
  return v;
}
